<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_ut_cryptocurrency_table
 *
 * @copyright   Copyright (C) 2012 - 2019 Unitemplates. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
if($mobile){
	$ct_tablet = ' class="d-none d-md-table-cell"';
	$ct_desktop = ' class="d-none d-lg-table-cell"';
}
?>
<div id="ut_cryptocurrency_table_wrapper_<?php echo $modId;?>" style="display: none;" class="ut-cryptocurrency-table-wrapper<?php echo ' '.$module_class;?>">
	<?php if(($desc != '') && ($desc_pos == '')){
		echo '<div class="ct-desc pb-3">'.$desc.'</div>';
	}?>
	<div class="table-responsive ut-live">
		<table class="table <?php echo $t_color. ' '.$t_style;?>">
			<thead class="<?php echo $header_style;?>">
				<tr>
					<th<?php echo $ct_desktop;?>><?php echo JText::_('MOD_CT_RANK');?></th>
					<th><?php echo JText::_('MOD_CT_NAME');?></th>
					<th><?php echo JText::_('MOD_CT_PRICE');?></th>
					<th<?php echo $ct_tablet;?>><?php echo JText::_('MOD_CT_MARKET_CAP');?></th>
					<th<?php echo $ct_desktop;?>><?php echo JText::_('MOD_CT_VMWAP_24HR');?></th>
					<th<?php echo $ct_desktop;?>><?php echo JText::_('MOD_CT_SUPPLY');?></th>
					<th<?php echo $ct_tablet;?>><?php echo JText::_('MOD_CT_VOLUME_24HR');?></th>
					<th><?php echo JText::_('MOD_CT_CHANGE_24HR');?></th>
				</tr>
			</thead>
			<tbody id="ct_tbody_<?php echo $modId;?>" class="ut-ct-tbody"></tbody>
		</table>
	</div>
	<?php if(($desc != '') && ($desc_pos == 'bottom')){
		echo '<div class="ct-desc">'.$desc.'</div>';
	}?>
</div>
<script>
function nFormatter(num) {
	if (num >= 1000000000) {
	return (num / 1000000000).toFixed(2) + 'B';
	}
	if (num >= 1000000) {
	return (num / 1000000).toFixed(2) + 'M';
	}
	if (num >= 1000) {
	return (num / 1000).toFixed(2) + 'K';
	}
	return num;
}

jQuery("#ut_cryptocurrency_table_wrapper_<?php echo $modId;?>").fadeIn(1500); 
jQuery(document).ready(function($) {
	if($.ajaxSettings && $.ajaxSettings.headers) {//delete header X-CSRF-Token generated by SPPB
		delete $.ajaxSettings.headers['X-CSRF-Token'];
	}
	var modId ="<?php echo $modId;?>";
	var limit = "<?php echo $limit;?>";
	jQuery.ajax({ 
		url : "https://api.coincap.io/v2/assets", 
		type : "GET", 
		dataType:"json", 
		success : function (data){
			var table='';
			<?php if ($live_price){
				echo 'live_price(modId);';
			}?>

			$.each(data, function(index, obj) { 
				var item =  obj;

				Object.keys(item).map(function(objectKey, index) {
					var obj = item[objectKey];
					var changeColor = (obj.changePercent24Hr > 0) ? 'text-up' : 'text-down';

					if(index < limit){
						var img_logo = "<?php echo JURI::root();?>modules/mod_ut_cryptocurrency_table/assets/icon/"+obj.symbol.toLowerCase()+'.svg';

						table +='<tr data-ctname="'+(obj.id).toLowerCase()+'" data-ctsymbol="'+obj.symbol+'" data-ctprice="'+parseFloat(obj.priceUsd).toFixed(2)+'" class="update_data"  id="ct_'+ obj.symbol +'">'
							+'<td<?php echo $ct_desktop;?>> <span class="ctrank">'+obj.rank+'</span></td>'
							+'<td>'
								+'<img id="'+obj.symbol+'" src="'+img_logo+'" alt="'+obj.name+'" onerror="this.parentNode.removeChild(this);" >'
								+'<span class="cticon-name">'
									+'<span class="ctname">'+obj.name+'</span>'
									+'<span class="ctsymbol">'+obj.symbol+'</span>'
								+'</span>'
							+'</td>'
							+'<td>'
								+'<span class="live-pricing">'
									+'<span class="ctprice">'+cFormatter.format(obj.priceUsd)+'</span>'
								+'</span>'
							+'</td>'
							+'<td<?php echo $ct_tablet;?>><span class="ctmarket">$'+nFormatter(obj.marketCapUsd)+'</span></td>'
							+'<td<?php echo $ct_desktop;?>><span class="ctvwap">'+cFormatter.format(obj.vwap24Hr)+'</span></td>'
							+'<td<?php echo $ct_desktop;?>><span class="ctsupply">'+nFormatter(obj.supply)+'</span></td>'
							+'<td<?php echo $ct_tablet;?>><span class="ctvolume">$'+nFormatter(obj.volumeUsd24Hr)+'</span></td>'
							+'<td><span class="ctchangePercent '+changeColor+'">'+parseFloat(obj.changePercent24Hr).toFixed(2) +'%'+'</span></td>'                          
						+'</tr>';
					}           
				});
			});

			$("body #ut_cryptocurrency_table_wrapper_<?php echo $modId;?>").find('.ut-ct-tbody').html(table);
		}
	});
	if($.ajaxSettings && $.ajaxSettings.headers) {//Add again back header added by SPPB
		$.ajaxSettings.headers['X-CSRF-Token'] = Joomla.getOptions('csrf.token');
	}
});
</script>
